amis.define('scss/utilities/layout/_box-sizing.scss', function(require, exports, module, define) {

  module.exports = {
    "title": "Box Sizing",
    "html": "<div class=\"markdown-body\"><p>Box Sizing 相关样式，主要区别在于设置宽高的时候，是否包含了 padding 和 border 的大小。</p>\n<table>\n<thead>\n<tr>\n<th>Class</th>\n<th>Properties</th>\n</tr>\n</thead>\n<tbody><tr>\n<td>box-border</td>\n<td>box-sizing: border-box;</td>\n</tr>\n<tr>\n<td>box-content</td>\n<td>box-sizing: content-box;</td>\n</tr>\n</tbody></table>\n<h2><a class=\"anchor\" name=\"%E7%94%A8%E6%B3%95\" href=\"#%E7%94%A8%E6%B3%95\" aria-hidden=\"true\"><svg aria-hidden=\"true\" class=\"octicon octicon-link\" height=\"16\" version=\"1.1\" viewBox=\"0 0 16 16\" width=\"16\"><path d=\"M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z\"></path></svg></a>用法</h2><p>比如这个例子：左侧是 box-border 类型，整体高宽 128px。而右侧只是内容区域是 128px + 边框(2 * 4px) + padding （2 * 16px） 一共160px。</p>\n</div><div class=\"amis-doc\"><div class=\"preview\"><div class=\"flex space-x-6\">\n  <div class=\"box-border h-32 w-32 p-4 border-4 border-blue-400 bg-blue-200 rounded-md\">\n    <div class=\"h-full w-full bg-red-400\"></div>\n  </div>\n\n  <div class=\"box-content h-32 w-32 p-4 border-4 border-blue-400 bg-blue-200 rounded-md\">\n    <div class=\"h-full w-full bg-red-400\"></div>\n  </div>\n</div>\n</div><pre><code class=\"lang-html\"><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">class</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>flex space-x-6<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span>\n  <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">class</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>box-border h-32 w-32 p-4 border-4 border-blue-400 bg-blue-200 rounded-md<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span>\n    <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">class</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>h-full w-full bg-red-400<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n  <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n\n  <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">class</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>box-content h-32 w-32 p-4 border-4 border-blue-400 bg-blue-200 rounded-md<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span>\n    <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">class</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>h-full w-full bg-red-400<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n  <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n<span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n</code></pre></div><div class=\"markdown-body\">\n<h2><a class=\"anchor\" name=\"%E5%93%8D%E5%BA%94%E5%BC%8F%E8%AE%BE%E8%AE%A1\" href=\"#%E5%93%8D%E5%BA%94%E5%BC%8F%E8%AE%BE%E8%AE%A1\" aria-hidden=\"true\"><svg aria-hidden=\"true\" class=\"octicon octicon-link\" height=\"16\" version=\"1.1\" viewBox=\"0 0 16 16\" width=\"16\"><path d=\"M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z\"></path></svg></a>响应式设计</h2><p>不支持 <a href=\"/amis/css-utilities/responsive-design\">「响应式设计前缀」</a>，有需求请提 <a href=\"https://github.com/baidu/amis/issues\">issue</a>。</p>\n<h2><a class=\"anchor\" name=\"%E7%8A%B6%E6%80%81%E5%89%8D%E7%BC%80\" href=\"#%E7%8A%B6%E6%80%81%E5%89%8D%E7%BC%80\" aria-hidden=\"true\"><svg aria-hidden=\"true\" class=\"octicon octicon-link\" height=\"16\" version=\"1.1\" viewBox=\"0 0 16 16\" width=\"16\"><path d=\"M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z\"></path></svg></a>状态前缀</h2><p>不支持<a href=\"/amis/css-utilities/state\">「状态前缀」</a>，有需求请提 <a href=\"https://github.com/baidu/amis/issues\">issue</a>。</p>\n</div>",
    "toc": {
      "label": "目录",
      "type": "toc",
      "children": [
        {
          "label": "用法",
          "fragment": "%E7%94%A8%E6%B3%95",
          "fullPath": "#%E7%94%A8%E6%B3%95",
          "level": 2
        },
        {
          "label": "响应式设计",
          "fragment": "%E5%93%8D%E5%BA%94%E5%BC%8F%E8%AE%BE%E8%AE%A1",
          "fullPath": "#%E5%93%8D%E5%BA%94%E5%BC%8F%E8%AE%BE%E8%AE%A1",
          "level": 2
        },
        {
          "label": "状态前缀",
          "fragment": "%E7%8A%B6%E6%80%81%E5%89%8D%E7%BC%80",
          "fullPath": "#%E7%8A%B6%E6%80%81%E5%89%8D%E7%BC%80",
          "level": 2
        }
      ],
      "level": 0
    }
  };

});
