amis.define('scss/utilities/layout/_display.scss', function(require, exports, module, define) {

  module.exports = {
    "title": "Display",
    "html": "<div class=\"markdown-body\"><p>布局相关样式。</p>\n<table>\n<thead>\n<tr>\n<th>Class</th>\n<th>Properties</th>\n</tr>\n</thead>\n<tbody><tr>\n<td>block</td>\n<td>display: block;</td>\n</tr>\n<tr>\n<td>inline-block</td>\n<td>display: inline-block;</td>\n</tr>\n<tr>\n<td>inline</td>\n<td>display: inline;</td>\n</tr>\n<tr>\n<td>flex</td>\n<td>display: flex;</td>\n</tr>\n<tr>\n<td>inline-flex</td>\n<td>display: inline-flex;</td>\n</tr>\n<tr>\n<td>table</td>\n<td>display: table;</td>\n</tr>\n<tr>\n<td>table-cell</td>\n<td>display: table-cell;</td>\n</tr>\n<tr>\n<td>table-column</td>\n<td>display: table-column;</td>\n</tr>\n<tr>\n<td>table-column-group</td>\n<td>display: table-column-group;</td>\n</tr>\n<tr>\n<td>table-footer-group</td>\n<td>display: table-footer-group;</td>\n</tr>\n<tr>\n<td>table-header-group</td>\n<td>display: table-header-group;</td>\n</tr>\n<tr>\n<td>table-row-group</td>\n<td>display: table-row-group;</td>\n</tr>\n<tr>\n<td>table-row</td>\n<td>display: table-row;</td>\n</tr>\n<tr>\n<td>flow-root</td>\n<td>display: flow-root;</td>\n</tr>\n<tr>\n<td>grid</td>\n<td>display: grid;</td>\n</tr>\n<tr>\n<td>inline-grid</td>\n<td>display: inline-grid;</td>\n</tr>\n<tr>\n<td>contents</td>\n<td>display: contents;</td>\n</tr>\n<tr>\n<td>hidden</td>\n<td>display: hidden;</td>\n</tr>\n</tbody></table>\n<h2><a class=\"anchor\" name=\"%E7%94%A8%E6%B3%95\" href=\"#%E7%94%A8%E6%B3%95\" aria-hidden=\"true\"><svg aria-hidden=\"true\" class=\"octicon octicon-link\" height=\"16\" version=\"1.1\" viewBox=\"0 0 16 16\" width=\"16\"><path d=\"M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z\"></path></svg></a>用法</h2><p>css 相关的知识点就不介绍了，请参考：</p>\n<p><a href=\"https://www.w3school.com.cn/cssref/pr_class_display.asp\">https://www.w3school.com.cn/cssref/pr_class_display.asp</a><br><a href=\"https://tailwindcss.com/docs/display\">https://tailwindcss.com/docs/display</a></p>\n<h1><a class=\"anchor\" name=\"%E5%93%8D%E5%BA%94%E5%BC%8F%E8%AE%BE%E8%AE%A1\" href=\"#%E5%93%8D%E5%BA%94%E5%BC%8F%E8%AE%BE%E8%AE%A1\" aria-hidden=\"true\"><svg aria-hidden=\"true\" class=\"octicon octicon-link\" height=\"16\" version=\"1.1\" viewBox=\"0 0 16 16\" width=\"16\"><path d=\"M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z\"></path></svg></a>响应式设计</h1><p>支持通过添加设备前缀 <code>m:</code> 或者 <code>pc:</code> 来分别针对「手机端」或者「pc端」设置样式，更多说明请前往<a href=\"/amis/css-utilities/responsive-design\">「响应式设计」</a>。</p>\n<h2><a class=\"anchor\" name=\"%E7%8A%B6%E6%80%81%E5%89%8D%E7%BC%80\" href=\"#%E7%8A%B6%E6%80%81%E5%89%8D%E7%BC%80\" aria-hidden=\"true\"><svg aria-hidden=\"true\" class=\"octicon octicon-link\" height=\"16\" version=\"1.1\" viewBox=\"0 0 16 16\" width=\"16\"><path d=\"M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z\"></path></svg></a>状态前缀</h2><p>不支持<a href=\"/amis/css-utilities/state\">「状态前缀」</a>，有需求请提 <a href=\"https://github.com/baidu/amis/issues\">issue</a>。</p>\n</div>",
    "toc": {
      "label": "目录",
      "type": "toc",
      "children": [
        {
          "label": "用法",
          "fragment": "%E7%94%A8%E6%B3%95",
          "fullPath": "#%E7%94%A8%E6%B3%95",
          "level": 2
        },
        {
          "label": "响应式设计",
          "fragment": "%E5%93%8D%E5%BA%94%E5%BC%8F%E8%AE%BE%E8%AE%A1",
          "fullPath": "#%E5%93%8D%E5%BA%94%E5%BC%8F%E8%AE%BE%E8%AE%A1",
          "level": 1,
          "children": [
            {
              "label": "状态前缀",
              "fragment": "%E7%8A%B6%E6%80%81%E5%89%8D%E7%BC%80",
              "fullPath": "#%E7%8A%B6%E6%80%81%E5%89%8D%E7%BC%80",
              "level": 2
            }
          ]
        }
      ],
      "level": 0
    }
  };

});
